# Uses of Class
com.sun.net.httpserver.HttpPrincipal

Packages that use HttpPrincipal
Package
Description
com.sun.net.httpserver
Provides a simple high-level Http server API, which can be used to build embedded HTTP servers.

## Uses of HttpPrincipal in com.sun.net.httpserver

Methods in com.sun.net.httpserver that return HttpPrincipal
Modifier and Type
Method
Description
`HttpPrincipal`
Authenticator.Success.`getPrincipal()`
Returns the authenticated user `Principal`.
`abstract HttpPrincipal`
HttpExchange.`getPrincipal()`
If an authenticator is set on the `HttpContext` that owns this exchange, then this method will return the `HttpPrincipal` that represents the authenticated user for this `HttpExchange`.
Constructors in com.sun.net.httpserver with parameters of type HttpPrincipal
Modifier
Constructor
Description
``
`Success(HttpPrincipal p)`
Creates a `Success` instance with given `Principal`.